html {
  box-sizing: border-box;
}
body {
  margin: 0;
}
img {
  max-width: 100%;
}
a {
  text-decoration: none;
}
*,
*:before,
*:after {
  box-sizing: inherit;
}
.body {
  font-family: "Open Sans", sans-serif;
  background-color: #e5e5e5;
}
/*header*/
.header {
  height: 70px;
  background-color: #313131;
  display: flex;
  justify-content: space-between;
}
/*header logo*/
.header a .logo {
  display: flex;
  justify-content: space-around;
  align-items: center;
  height: 70px;
  width: 180px;
}
.header a .logo .logo-phrase {
  font-weight: 700;
  font-size: 22px;
  line-height: 30px;
  color: #fff;
}
/*header menu*/
.header .header-menu-item {
  height: 70px;
  width: 730px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.header .header-menu-item a {
  color: #fff;
  font-weight: 600;
  font-size: 15px;
}
.header .header-menu-item a:hover {
  color: #14b9d5;
}
/*header container*/
.header-container {
  width: auto;
  height: 370px;
  display: flex;
  margin: 0 auto;
  background: url("../img/header-bg.jpeg") bottom/ cover no-repeat;
  background-attachment: fixed;
  justify-content: center;
  align-items: flex-end;
}
.header-container .header-block {
  width: 640px;
  height: 180px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}
.header-container .header-block .header-paragraph {
  width: 637px;
  height: 70px;
  font-weight: bold;
  font-size: 27px;
  line-height: 37px;
  color: #ffffff;
}
/*header buttons*/
.header-container .header-block .button-container {
  width: 390px;
  height: 130px;
}
.header-container .header-block .button-container button {
  height: 55px;
  width: 170px;
  color: #fff;
  margin: 0 10px;
  border-radius: 4px;
}
.header-container .header-block .button-container button:first-child {
  background-color: #89ca62;
  border-color: #89ca62;
}
.header-container .header-block .button-container button:last-child {
  background-color: #14b9d5;
  border-color: #14b9d5;
}
/*style of article's headers*/
.posts-container .posts-container-header,
.rated-container .rated-paragraph,
.news-container .news-paragraf {
  height: 130px;
  background-color: #f2f2f2;
  display: flex;
  justify-content: center;
}
.posts-container .posts-container-header p,
.rated-container .rated-paragraph P,
.news-container .news-paragraf p {
  align-self: center;
  font-weight: bold;
  font-size: 27px;
  line-height: 37px;
  color: #18b4cf;
}
/*artcle: most popular posts*/
.posts-container {
  background-color: #f2f2f2;
}

.posts-container .post-container-photo {
  display: flex;
  gap: 32px;
  flex-direction: column;
  flex-wrap: wrap;
  height: 950px;
  align-content: center;
}
.posts-container .post-container-photo .posts-item {
  display: flex;
  flex-direction: column;
  font-weight: bold;
  font-size: 18px;
  line-height: 50px;
  color: #353a3d;
}

.posts-container .post-container-photo .posts-item img,
.posts-container .post-container-photo .posts-item p {
  align-self: center;
}

/*artcle: most popular clients*/
.client-container-header {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  height: 590px;
  width: auto;
  background: url("../img/parallax-bg.jpeg") bottom/ cover no-repeat;
  background-attachment: fixed;
}
.client-container-header .client-container-paragraph {
  padding-top: 100px;
  flex-basis: 237px;
  font-weight: bold;
  font-size: 32px;
  color: #ffffff;
}
.client-container-header .client-container-line {
  flex-basis: 110px;
  width: 60px;
  border-top: 3px solid #18b4cf;
}
.client-container-header .client-container-logo {
  flex-basis: 63px;
  display: grid;
  grid-template-columns: repeat(4, 250px);
}
.client-container-header .client-container-logo img {
  justify-self: center;
  align-self: center;
}
/*artcle: top rated*/
.rated-container .rated-photo-container {
  background-color: #fff;
  display: grid;
  width: auto;
  margin: 0 auto;
  grid-template-columns: repeat(7, 1fr);
}
.rated-container .rated-photo-container img {
  width: 100%;
}
/*artcle: top news*/
.news-container {
  background-color: #f2f2f2;
}
/*grid*/
.news-container .news-wraper {
  height: auto;
  width: 1148px;
  margin: 0 auto;
  padding-bottom: 77px;
  display: grid;
  grid-template-rows: 259px 418px 418px 259px;
  grid-template-columns: 277px 1fr 1fr 273px;
  grid-column-gap: 34px;
  grid-row-gap: 40px;
  justify-content: center;
}
/*grid-items*/
.news-container .news-wraper .news-photo:first-child {
  grid-column-start: 1;
  grid-column-end: 4;
  display: grid;
  grid-template-columns: 4fr 3fr;
}
.news-container .news-wraper .news-photo:nth-child(2) {
  grid-column-start: 4;
  grid-column-end: 5;
  display: grid;
  grid-template-rows: 3fr 1fr;
}
.news-container .news-wraper .news-photo:nth-child(3),
.news-container .news-wraper .news-photo:nth-child(5) {
  display: grid;
  grid-column-start: 1;
  grid-column-end: 3;
}
.news-container .news-wraper .news-photo:nth-child(4),
.news-container .news-wraper .news-photo:nth-child(6) {
  display: grid;
  grid-column-start: 3;
  grid-column-end: 5;
}
.news-container .news-wraper .news-photo:nth-child(7) {
  grid-column-start: 1;
  grid-column-end: 2;
  display: grid;
  grid-template-rows: 3fr 1fr;
}
.news-container .news-wraper .news-photo:last-child {
  grid-column-start: 2;
  grid-column-end: 5;
  display: grid;
  grid-template-columns: 4fr 3fr;
}
/*grid-titles&texts*/
.news-container .news-wraper .news-photo .news-title {
  font-weight: bold;
  font-size: 18px;
  line-height: 25px;
  color: #353a3d;
  margin: 15px 15px;
  text-align: right;
}
.news-container .news-wraper .news-photo .news-text {
  font-weight: 600;
  font-size: 14px;
  line-height: 21px;
  color: #5b6469;
  text-align: right;
  margin-right: 15px;
}
/*grid special titles&texts*/
.news-container .news-wraper .news-photo .news-title.first-title {
  margin: 35px 5px 15px 0;
}
.news-container .news-wraper .news-photo .news-text.first-text {
  margin-right: 5px;
}
.news-container .news-wraper .news-photo .news-title.last-title {
  margin: 40px 15px 0 0;
}
.news-container .news-wraper .news-photo .news-title.one-title {
  text-align: center;
}
/*artcle: footer*/
.footer {
  height: 80px;
  background-color: #000;
  display: grid;
  grid-template-columns: 600px 530px;
  justify-content: center;
  align-content: center;
  padding-top: 10px;
}
.footer .copyright {
  color: #fff;
  font-size: 13px;
  line-height: 13px;
}
.footer .footer-image {
  justify-self: end;
}
